Hello and welcome to our community! Is this your first visit?
Register
Enjoy an ad free experience by logging in. Not a member yet? Register.
Results 1 to 2 of 2
  1. #1
    New to the CF scene
    Join Date
    Jan 2012
    Posts
    4
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Fatal exception occurred. Program will exit.

    I tried for my first time to create a jar file out of a program that I created in JCreator LE. I looked up tutorials online on how to do this, and I created the .jar, and edited the file in Meta-Inf as was on the video. I go to run it and I get this error. When I build and run in JCreator I get only this error:
    Note: C:\Users\Matthew\Documents\JCreator LE\MyProjects\Gomoku\classes\Gomoku.java uses or overrides a deprecated API.
    Note: Recompile with -Xlint:deprecation for details.
    I fixed all other errors, and I just need to know how to fix this (if it indeed is the problem)

  • #2
    God Emperor Fou-Lu's Avatar
    Join Date
    Sep 2002
    Location
    Saskatoon, Saskatchewan
    Posts
    16,987
    Thanks
    4
    Thanked 2,660 Times in 2,629 Posts
    The error indicates you are relying on deprecated functionality from either a class or a method no longer supported. It should still work, but any time in the future it may be removed from the Java API and will fail to work from that point forward.
    Execute the javac with -deprecation and it should tell you what in particular is causing this. Looks to me that Gomoku may override a deprecated class.
    Then go to the API for that class or method, and see what they suggest should be used instead.


  •  

    Posting Permissions

    • You may not post new threads
    • You may not post replies
    • You may not post attachments
    • You may not edit your posts
    •